package com.lqkj.ioc.service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import com.lqkj.common.utils.TokenUtils;
import com.lqkj.common.utils.http.HttpUtils;
import com.lqkj.ioc.mapper.EconomicDevelopmentMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

@Service
public class EconomicDevelopmentService {

    @Autowired
    private EconomicDevelopmentMapper economicDevelopmentMapper;
    public Map<String, Object> businessSupport(){
        Map<String, Object> stringObjectMap = economicDevelopmentMapper.businessSupport();
        stringObjectMap.put("turnover", 1034);
        return stringObjectMap;
    };

    public JSONArray gdp() {
        String s = HttpUtils.sendGetByToken("https://wunlzt.cdwh.gov.cn/apis/daas/pro/3/components/y106-01/data", null, TokenUtils.getToken());
        JSONArray data = JSON.parseArray(JSON.parseObject(s).get("data").toString());
        return data;
    }
}
