package com.lqkj.ioc.service;


import com.lqkj.ioc.mapper.SecurityPerceptionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class SecurityPerceptionService {

    @Autowired
    private SecurityPerceptionMapper securityPerceptionMapper;


    public List<Map<String, Object>> getElevatorBasicInfo() {

        return securityPerceptionMapper.getElevatorBasicInfo();
    }

    public List<Map<String, Object>> getElevatorRepairStats() {

        return securityPerceptionMapper.getElevatorRepairStats();
    }

    public List<Map<String, Object>> elevatorAlarmDistribution() {

        return securityPerceptionMapper.elevatorAlarmDistribution();
    }

    public List<Map<String, Object>> countChargingStationBrands() {
        return securityPerceptionMapper.countChargingStationBrands();
    }
}
