package com.lqkj.type.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.lqkj.common.annotation.Excel;
import com.lqkj.common.core.model.BaseEntity;

/**
 * 户型信息：house_type对象 house_type
 * 
 * @author lqkj
 * @date 2024-11-11
 */
public class HouseType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 户型id */
    private Integer typeId;

    /** 户型名 */
    @Excel(name = "户型名")
    private String typeName;

    /** 户型图地址 */
    @Excel(name = "户型图地址")
    private String url;

    /** 备注 */
    private String memo;

    public void setTypeId(Integer typeId) 
    {
        this.typeId = typeId;
    }

    public Integer getTypeId() 
    {
        return typeId;
    }
    public void setTypeName(String typeName) 
    {
        this.typeName = typeName;
    }

    public String getTypeName() 
    {
        return typeName;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setMemo(String memo) 
    {
        this.memo = memo;
    }

    public String getMemo() 
    {
        return memo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("typeId", getTypeId())
            .append("typeName", getTypeName())
            .append("url", getUrl())
            .append("memo", getMemo())
            .toString();
    }
}