-- 菜单 SQL


INSERT INTO "public"."sys_menu" ("menu_id", "menu_name", "parent_id", "order_num", "path", "component", "query", "is_frame", "is_cache", "menu_type", "visible", "status", "perms", "icon", "create_by", "create_time", "update_by", "update_time", "remark") VALUES (2050, '属性类别管理', 0, 0, 'type', NULL, NULL, 'f', 't', 'M', 't', 't', NULL, 'management', '超级管理员', '2024-11-11 10:24:59.159073', NULL, NULL, NULL);

SELECT setval('sys_menu_menu_id_seq', (SELECT MAX(menu_id) FROM sys_menu));



with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('区域类型', '2050', '1', 'areaType', 'type/areaType/index', false, true, 'C', true, true, 'type:areaType:list', 'operation', 'admin', now(), '', null, '区域类型：area_type菜单') returning menu_id
    )


-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('区域类型', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'type:areaType:query',        '#', 'admin', now(), '', null, ''),
    ('区域类型', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'type:areaType:add',          '#', 'admin', now(), '', null, ''),
    ('区域类型', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'type:areaType:edit',         '#', 'admin', now(), '', null, ''),
    ('区域类型', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'type:areaType:remove',       '#', 'admin', now(), '', null, ''),
    ('区域类型', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'type:areaType:export',       '#', 'admin', now(), '', null, '');






-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('大楼类别', '2050', '1', 'buildingType', 'type/buildingType/index', false, true, 'C', true, true, 'type:buildingType:list', 'operation', 'admin', now(), '', null, '大楼类别：building_type菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('大楼类别', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'type:buildingType:query',        '#', 'admin', now(), '', null, ''),
    ('大楼类别', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'type:buildingType:add',          '#', 'admin', now(), '', null, ''),
    ('大楼类别', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'type:buildingType:edit',         '#', 'admin', now(), '', null, ''),
    ('大楼类别', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'type:buildingType:remove',       '#', 'admin', now(), '', null, ''),
    ('大楼类别', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'type:buildingType:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备类型', '2050', '1', 'equipmentType', 'type/equipmentType/index', false, true, 'C', true, true, 'type:equipmentType:list', 'operation', 'admin', now(), '', null, '设备类型：equipment_type菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备类型', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'type:equipmentType:query',        '#', 'admin', now(), '', null, ''),
    ('设备类型', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'type:equipmentType:add',          '#', 'admin', now(), '', null, ''),
    ('设备类型', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'type:equipmentType:edit',         '#', 'admin', now(), '', null, ''),
    ('设备类型', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'type:equipmentType:remove',       '#', 'admin', now(), '', null, ''),
    ('设备类型', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'type:equipmentType:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('户型信息', '2050', '1', 'houseType', 'type/houseType/index', false, true, 'C', true, true, 'type:houseType:list', 'operation', 'admin', now(), '', null, '户型信息：house_type菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('户型信息', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'type:houseType:query',        '#', 'admin', now(), '', null, ''),
    ('户型信息', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'type:houseType:add',          '#', 'admin', now(), '', null, ''),
    ('户型信息', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'type:houseType:edit',         '#', 'admin', now(), '', null, ''),
    ('户型信息', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'type:houseType:remove',       '#', 'admin', now(), '', null, ''),
    ('户型信息', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'type:houseType:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('主体类型', '2050', '1', 'organizationType', 'type/organizationType/index', false, true, 'C', true, true, 'type:organizationType:list', 'operation', 'admin', now(), '', null, '主体类型菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('主体类型查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'type:organizationType:query',        '#', 'admin', now(), '', null, ''),
    ('主体类型新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'type:organizationType:add',          '#', 'admin', now(), '', null, ''),
    ('主体类型修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'type:organizationType:edit',         '#', 'admin', now(), '', null, ''),
    ('主体类型删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'type:organizationType:remove',       '#', 'admin', now(), '', null, ''),
    ('主体类型导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'type:organizationType:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('规划类型', '2050', '1', 'planType', 'type/planType/index', false, true, 'C', true, true, 'type:planType:list', 'operation', 'admin', now(), '', null, '规划类型菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('规划类型查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'type:planType:query',        '#', 'admin', now(), '', null, ''),
    ('规划类型新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'type:planType:add',          '#', 'admin', now(), '', null, ''),
    ('规划类型修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'type:planType:edit',         '#', 'admin', now(), '', null, ''),
    ('规划类型删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'type:planType:remove',       '#', 'admin', now(), '', null, ''),
    ('规划类型导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'type:planType:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('房间类别', '2050', '1', 'roomType', 'type/roomType/index', false, true, 'C', true, true, 'type:roomType:list', 'operation', 'admin', now(), '', null, '房间类别菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('房间类别查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'type:roomType:query',        '#', 'admin', now(), '', null, ''),
    ('房间类别新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'type:roomType:add',          '#', 'admin', now(), '', null, ''),
    ('房间类别修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'type:roomType:edit',         '#', 'admin', now(), '', null, ''),
    ('房间类别删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'type:roomType:remove',       '#', 'admin', now(), '', null, ''),
    ('房间类别导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'type:roomType:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('交通类型', '2050', '1', 'trafficType', 'type/trafficType/index', false, true, 'C', true, true, 'type:trafficType:list', 'operation', 'admin', now(), '', null, '交通类型菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('交通类型查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'type:trafficType:query',        '#', 'admin', now(), '', null, ''),
    ('交通类型新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'type:trafficType:add',          '#', 'admin', now(), '', null, ''),
    ('交通类型修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'type:trafficType:edit',         '#', 'admin', now(), '', null, ''),
    ('交通类型删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'type:trafficType:remove',       '#', 'admin', now(), '', null, ''),
    ('交通类型导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'type:trafficType:export',       '#', 'admin', now(), '', null, '');

INSERT INTO "public"."sys_menu" ("menu_id", "menu_name", "parent_id", "order_num", "path", "component", "query", "is_frame", "is_cache", "menu_type", "visible", "status", "perms", "icon", "create_by", "create_time", "update_by", "update_time", "remark") VALUES (2200, '属性信息管理', 0, 0, 'info', NULL, NULL, 'f', 't', 'M', 't', 't', NULL, 'management', '超级管理员', '2024-11-11 17:14:06.847279', NULL, NULL, NULL);

SELECT setval('sys_menu_menu_id_seq', (SELECT MAX(menu_id) FROM sys_menu));

-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('区域对象', '2200', '1', 'areaInfo', 'info/areaInfo/index', false, true, 'C', true, true, 'info:areaInfo:list', 'operation', 'admin', now(), '', null, '区域对象菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('区域对象查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:areaInfo:query',        '#', 'admin', now(), '', null, ''),
    ('区域对象新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:areaInfo:add',          '#', 'admin', now(), '', null, ''),
    ('区域对象修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:areaInfo:edit',         '#', 'admin', now(), '', null, ''),
    ('区域对象删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:areaInfo:remove',       '#', 'admin', now(), '', null, ''),
    ('区域对象导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:areaInfo:export',       '#', 'admin', now(), '', null, '');


-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('大楼信息', '2200', '1', 'buildingInfo', 'info/buildingInfo/index', false, true, 'C', true, true, 'info:buildingInfo:list', 'operation', 'admin', now(), '', null, '大楼信息菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('大楼信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:buildingInfo:query',        '#', 'admin', now(), '', null, ''),
    ('大楼信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:buildingInfo:add',          '#', 'admin', now(), '', null, ''),
    ('大楼信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:buildingInfo:edit',         '#', 'admin', now(), '', null, ''),
    ('大楼信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:buildingInfo:remove',       '#', 'admin', now(), '', null, ''),
    ('大楼信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:buildingInfo:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('电梯信息', '2200', '1', 'elevatorInfo', 'info/elevatorInfo/index', false, true, 'C', true, true, 'info:elevatorInfo:list', 'operation', 'admin', now(), '', null, '电梯信息菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('电梯信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:elevatorInfo:query',        '#', 'admin', now(), '', null, ''),
    ('电梯信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:elevatorInfo:add',          '#', 'admin', now(), '', null, ''),
    ('电梯信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:elevatorInfo:edit',         '#', 'admin', now(), '', null, ''),
    ('电梯信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:elevatorInfo:remove',       '#', 'admin', now(), '', null, ''),
    ('电梯信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:elevatorInfo:export',       '#', 'admin', now(), '', null, '');




-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备信息', '2200', '1', 'equipmentInfo', 'info/equipmentInfo/index', false, true, 'C', true, true, 'info:equipmentInfo:list', 'operation', 'admin', now(), '', null, '设备信息菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('设备信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:equipmentInfo:query',        '#', 'admin', now(), '', null, ''),
    ('设备信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:equipmentInfo:add',          '#', 'admin', now(), '', null, ''),
    ('设备信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:equipmentInfo:edit',         '#', 'admin', now(), '', null, ''),
    ('设备信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:equipmentInfo:remove',       '#', 'admin', now(), '', null, ''),
    ('设备信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:equipmentInfo:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('预警信息', '2200', '1', 'forewarningInfo', 'info/forewarningInfo/index', false, true, 'C', true, true, 'info:forewarningInfo:list', 'operation', 'admin', now(), '', null, '预警信息菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('预警信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:forewarningInfo:query',        '#', 'admin', now(), '', null, ''),
    ('预警信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:forewarningInfo:add',          '#', 'admin', now(), '', null, ''),
    ('预警信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:forewarningInfo:edit',         '#', 'admin', now(), '', null, ''),
    ('预警信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:forewarningInfo:remove',       '#', 'admin', now(), '', null, ''),
    ('预警信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:forewarningInfo:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('主体信息', '2200', '1', 'organizationInfo', 'info/organizationInfo/index', false, true, 'C', true, true, 'info:organizationInfo:list', 'operation', 'admin', now(), '', null, '主体信息菜单') returning menu_id
    )
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('主体信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:organizationInfo:query',        '#', 'admin', now(), '', null, ''),
    ('主体信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:organizationInfo:add',          '#', 'admin', now(), '', null, ''),
    ('主体信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:organizationInfo:edit',         '#', 'admin', now(), '', null, ''),
    ('主体信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:organizationInfo:remove',       '#', 'admin', now(), '', null, ''),
    ('主体信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:organizationInfo:export',       '#', 'admin', now(), '', null, '');




-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('规划对象', '2200', '1', 'planInfo', 'info/planInfo/index', false, true, 'C', true, true, 'info:planInfo:list', 'operation', 'admin', now(), '', null, '规划对象菜单') returning menu_id
)
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('规划对象查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:planInfo:query',        '#', 'admin', now(), '', null, ''),
('规划对象新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:planInfo:add',          '#', 'admin', now(), '', null, ''),
('规划对象修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:planInfo:edit',         '#', 'admin', now(), '', null, ''),
('规划对象删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:planInfo:remove',       '#', 'admin', now(), '', null, ''),
('规划对象导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:planInfo:export',       '#', 'admin', now(), '', null, '');



-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('政策信息', '2200', '1', 'policyInfo', 'info/policyInfo/index', false, true, 'C', true, true, 'info:policyInfo:list', 'operation', 'admin', now(), '', null, '政策信息菜单') returning menu_id
)
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('政策信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:policyInfo:query',        '#', 'admin', now(), '', null, ''),
('政策信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:policyInfo:add',          '#', 'admin', now(), '', null, ''),
('政策信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:policyInfo:edit',         '#', 'admin', now(), '', null, ''),
('政策信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:policyInfo:remove',       '#', 'admin', now(), '', null, ''),
('政策信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:policyInfo:export',       '#', 'admin', now(), '', null, '');




-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('房间信息', '2200', '1', 'roomInfo', 'info/roomInfo/index', false, true, 'C', true, true, 'info:roomInfo:list', 'operation', 'admin', now(), '', null, '房间信息菜单') returning menu_id
)
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('房间信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:roomInfo:query',        '#', 'admin', now(), '', null, ''),
('房间信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:roomInfo:add',          '#', 'admin', now(), '', null, ''),
('房间信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:roomInfo:edit',         '#', 'admin', now(), '', null, ''),
('房间信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:roomInfo:remove',       '#', 'admin', now(), '', null, ''),
('房间信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:roomInfo:export',       '#', 'admin', now(), '', null, '');




-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('站点信息', '2200', '1', 'stationInfo', 'info/stationInfo/index', false, true, 'C', true, true, 'info:stationInfo:list', 'operation', 'admin', now(), '', null, '站点信息菜单') returning menu_id
)
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('站点信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:stationInfo:query',        '#', 'admin', now(), '', null, ''),
('站点信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:stationInfo:add',          '#', 'admin', now(), '', null, ''),
('站点信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:stationInfo:edit',         '#', 'admin', now(), '', null, ''),
('站点信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:stationInfo:remove',       '#', 'admin', now(), '', null, ''),
('站点信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:stationInfo:export',       '#', 'admin', now(), '', null, '');




-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('交通对象', '2200', '1', 'trafficInfo', 'info/trafficInfo/index', false, true, 'C', true, true, 'info:trafficInfo:list', 'operation', 'admin', now(), '', null, '交通对象菜单') returning menu_id
)
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('交通对象查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:trafficInfo:query',        '#', 'admin', now(), '', null, ''),
('交通对象新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:trafficInfo:add',          '#', 'admin', now(), '', null, ''),
('交通对象修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:trafficInfo:edit',         '#', 'admin', now(), '', null, ''),
('交通对象删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:trafficInfo:remove',       '#', 'admin', now(), '', null, ''),
('交通对象导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:trafficInfo:export',       '#', 'admin', now(), '', null, '');




INSERT INTO "public"."sys_menu" ("menu_id", "menu_name", "parent_id", "order_num", "path", "component", "query", "is_frame", "is_cache", "menu_type", "visible", "status", "perms", "icon", "create_by", "create_time", "update_by", "update_time", "remark") VALUES (2279, '城市推荐', 0, 0, 'recommend', NULL, NULL, 'f', 't', 'M', 't', 't', NULL, 'validCode', '超级管理员', '2024-11-18 11:10:53.179662', NULL, NULL, NULL);





-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('综合分析', '2279', '1', 'synthesisAnalyze', 'view/synthesisAnalyze/index', false, true, 'C', true, true, 'view:synthesisAnalyze:list', 'operation', 'admin', now(), '', null, '综合分析菜单') returning menu_id
)
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('综合分析查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'view:synthesisAnalyze:query',        '#', 'admin', now(), '', null, ''),
('综合分析新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'view:synthesisAnalyze:add',          '#', 'admin', now(), '', null, ''),
('综合分析修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'view:synthesisAnalyze:edit',         '#', 'admin', now(), '', null, ''),
('综合分析删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'view:synthesisAnalyze:remove',       '#', 'admin', now(), '', null, ''),
('综合分析导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'view:synthesisAnalyze:export',       '#', 'admin', now(), '', null, '');





-- 菜单 SQL
with temp_menu as (
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('模型信息', '2200', '1', 'modelInfo', 'info/modelInfo/index', false, true, 'C', true, true, 'info:modelInfo:list', 'operation', 'admin', now(), '', null, '模型信息菜单') returning menu_id
)
-- 按钮 SQL
insert into sys_menu (menu_name, parent_id, order_num, path, component, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark)
values('模型信息查询', (select * from temp_menu), '1',  '#', '', false, true, 'F', true, true, 'info:modelInfo:query',        '#', 'admin', now(), '', null, ''),
('模型信息新增', (select * from temp_menu), '2',  '#', '', false, true, 'F', true, true, 'info:modelInfo:add',          '#', 'admin', now(), '', null, ''),
('模型信息修改', (select * from temp_menu), '3',  '#', '', false, true, 'F', true, true, 'info:modelInfo:edit',         '#', 'admin', now(), '', null, ''),
('模型信息删除', (select * from temp_menu), '4',  '#', '', false, true, 'F', true, true, 'info:modelInfo:remove',       '#', 'admin', now(), '', null, ''),
('模型信息导出', (select * from temp_menu), '5',  '#', '', false, true, 'F', true, true, 'info:modelInfo:export',       '#', 'admin', now(), '', null, '');

SELECT setval('sys_menu_menu_id_seq', (SELECT MAX(menu_id) FROM sys_menu));

ALTER TABLE organization_info ADD COLUMN audio varchar(255);
comment on column organization_info.audio is '视频';



